mod_name = "__CannonAlpha__"
entity_name = "cannon-alpha"
width = 8
height = 8
shft = {0, 0}
main_files = {64,8} -- direction_count; frame_count; line_length
folding_files = {16,8} -- 8x2 = 16 sprites; 4 directions

function base_picture()
return
{
	layers =
	{
	  {
		 filename = mod_name .. '/graphics/entity/'..entity_name..'/base.png',
		 priority = "high",
		 width = 256,
		 height = 256,
		 axially_symmetrical = false,
		 direction_count = 1,
		 frame_count = 1,
	  }
	}
 }
end


function preparing_animation()
	return {layers = {{
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 4,
		frame_count = 16,
		line_length = 8,
		run_mode = "forward",
		axially_symmetrical = false,
		--stripes = extension_stripes (folding_files[3])
		filename = mod_name .. '/graphics/entity/'..entity_name..'/folding.png'
		}}}
end

function prepared_animation(frame_count)
	return {layers = {{
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 64,
		frame_count = 1,
		line_length = 8,
		axially_symmetrical = false,
		--stripes = main_stripes (main_files[3])
	--filename = mod_name .. '/graphics/entity/'..entity_name..'/folding.png'
		filename = mod_name .. '/graphics/entity/'..entity_name..'/main.png'
		}}}
end

function attacking_animation()
	return {layers = {{
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 64,
		frame_count = 1,
		line_length = 8,
		run_mode = "forward",
		axially_symmetrical = false,
		--stripes = main_stripes (main_files[3])
		filename = mod_name .. '/graphics/entity/'..entity_name..'/main.png'
		}}}
end

function folding_animation()
	return {layers = {{
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 4,
		frame_count = 16,
		line_length = 8,
		run_mode = "backward",
		axially_symmetrical = false,
		--stripes = extension_stripes (folding_files[3])
		filename = mod_name .. '/graphics/entity/'..entity_name..'/folding.png'
}}}
end

function folded_animation()
	return {layers = {{
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 4,
		frame_count = 2,
		line_length = 1,
		run_mode = "forward",
		axially_symmetrical = false,
		--stripes = extension_stripes (folding_files[3])
		filename = mod_name .. '/graphics/entity/'..entity_name..'/folding.png'
		}}}
end

--folded_animation = {layers = {{axially_symmetrical = false, direction_count = 4, filename = "__base__/graphics/entity/gun-turret/gun-turret-gun-extension.png", frame_count = 1, height = 63, line_length = 1, priority = "medium", run_mode = "forward", shift = {0.015625, -0.859375}, width = 65}, {apply_runtime_tint = true, axially_symmetrical = false, direction_count = 4, filename = "__base__/graphics/entity/gun-turret/gun-turret-gun-extension-mask.png", flags = {"mask"}, frame_count = 1, height = 31, line_length = 1, run_mode = "forward", shift = {0, -0.890625}, width = 24}, {axially_symmetrical = false, direction_count = 4, draw_as_shadow = true, filename = "__base__/graphics/entity/gun-turret/gun-turret-gun-extension-shadow.png", frame_count = 1, height = 49, line_length = 1, run_mode = "forward", shift = {1.20313, 0.015625}, width = 89}}}